#!/bin/sh

# variables
LOCAL_BIN_DIR=${HOME}/.local/bin
XDG_CONFIG_HOME=${HOME}/.config

# prepare local dirs
mkdir -p ${XDG_CONFIG_HOME} ${LOCAL_BIN_DIR}

# install configs
for i in _configs/*; do
  rm -rf ${XDG_CONFIG_HOME}/$(basename $i)
  ln -sf $(pwd)/${i} ${XDG_CONFIG_HOME}
done

# install scripts
for i in _scripts/*; do
  ln -sf $(pwd)/${i} ${LOCAL_BIN_DIR}
done
